Subject: Postgres Porting on AIX 3.2

From: "Anuradha M. Sastri" <[email-masked]>
Date: Fri, 21 May 1993 23:05:59 -0700

Hai

	I ported the Postgres v4.1 on IBM RS/6000 3.2, with out the dynamic
	loader options. Most of the modifications were pertaining to the 
	Preprocessor. The initdb ran successfully. When I try to run 
	the regression tests, I encounter the following error

	> ...
	> createdb regression
	WARN:May 21 22:52:16:cannot find attribute 1 of relation pg_user
	
	and the command fails. I ran the backend under dbx and i got the 
	following stack trace. 

	Anybody out there, who encountered similar problems or the 
	postgres development team, could you
	give me pointers as to what is going wrong? 

---
anu

=================================================================================
build_tupdesc_ind(relation = 0x201c96f8, attp = (nil), 0x201c96f8, 0x0, 0x6), line 588 in "relcache.c"
RelationBuildTupleDesc(buildinfo = (...), relation = 0x201c96f8, attp = (nil), natts = 6), line 499 in "relcache.c"
RelationBuildDesc(buildinfo = (...)), line 715 in "relcache.c"
RelationNameGetRelation(relationName = 0x201210a8), line 1053 in "relcache.c"
heap_openr(relationName = 0x201210a8), line 704 in "heapam.c"
unnamed block $b1330, line 158 in "catcache.c"
CatalogCacheInitializeCache(cache = 0x201c7648, relation = (nil)), line 158 in "catcache.c"
SearchSysCache(cache = 0x201c7648, v1 = "postgres", v2 = (nil), v3 = (nil), v4 = (nil)), line 792 in "catcache.c"
SearchSysCacheTuple(cacheId = 27, key1 = "postgres", key2 = (nil), key3 = (nil), key4 = (nil)), line 468 in "syscache.c"
SetUserId(), line 271 in "miscinit.c"
InitUserid(), line 282 in "postinit.c"
InitPostgres(name = "template1"), line 618 in "postinit.c"
PostgresMain(argc = 7, argv = 0x2ff7f938), line 1183 in "postgres.c"
main(argc = 7, argv = 0x2ff7f938), line 32 in "main.c"
201c7648, relation = (nil)), line 158 in "catcache.c"
SearchSysCache(cache = 0x201c7648, v1 = "postgres", v2 = (nil), v3 = (nil), v4 = (nil)), line 792 in "catcache.c"
SearchSysCacheTuple(cacheId = 27, key1 = "postgres", key2 = (nil), key3 = (nil), key4 = (nil)), line 468 in "syscache.c"
SetUserId(), line 271 in "miscinit.c"
InitUserid(), line 282 in "postinit.c"
InitPostgres(name = "template1"), line 618 in "postinit.c"
PostgresMain(argc = 7, argv = 0x2ff7f938), line 1183 in "postgres.c"
main(argc = 7, argv = 0x2ff7f938), line 32 in "main.c"7, argv = 0x2ff7f938), line 32 in "main.c"